version: '3.7'

services:
  cypress:
    entrypoint: cypress open --project /e2e
    ipc: host
    environment:
      QT_X11_NO_MITSHM: 1
      _X11_NO_MITSHM: 1
      _MITSHM: 0
      DISPLAY: unix${DISPLAY}
    volumes:
      - /tmp/.X11-unix:/tmp/.X11-unix
